#! /usr/bin/env python
# -*- coding: utf-8 -*-
###########################################################################
#
# Eole NG
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr
#
###########################################################################
"""
Mise à niveau de l'annuaire Scribe
"""
from scribe import upgrade

# ajout des "ou" manquantes
upgrade.add_branches()

# remplacement de special_shares.py par l'attribut sambaShareDrive
upgrade.upgrade_special_shares()

# ajout des groupes manquants
upgrade.add_missing_groups()

# mise à niveau des groupes existants
upgrade.upgrade_groups()

# mise à niveau des élèves
upgrade.upgrade_eleves()

# mise à niveau des enseignants
upgrade.upgrade_enseignants()

# migration des comptes mail vers invités
upgrade.upgrade_mailaccounts()
